Page MenuHomePhabricator

Engineering Community quarterly review (as part of the Community Engagement review)
Closed, ResolvedPublic

Description

More planning & review work in this end of month / quarter / fiscal year...

Sorry for adding it now to ECT-June-2015, I thought I could produce the slides starting July, but counting days we have to present the drafts slides by June 30. The review meeting will be on July 6.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedKeegan
DeclinedNone
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedAlexCella
ResolvedAlexCella
ResolvedAlexCella
ResolvedRfarrand
ResolvedSylvain_WMFr
ResolvedSylvain_WMFr
ResolvedAlexCella
ResolvedQgil
ResolvedOmar_sansi
ResolvedQgil
Resolved yuvipanda
Resolvedcoren
Resolvedgreg
Resolved GWicke
Resolved GWicke
Resolvedmobrovac
ResolvedRfarrand
ResolvedQgil
ResolvedQgil
ResolvedSylvain_WMFr
ResolvedRfarrand
ResolvedRfarrand
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedJeanPhilippe_WMFr
ResolvedNiharika
ResolvedNiharika
ResolvedQgil
DeclinedQgil
DeclinedQgil
DeclinedQgil
DeclinedDrbug
DeclinedAlexCella
ResolvedDeskana
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedQgil
DeclinedTgr
ResolvedNiharika
ResolvedNiharika
ResolvedQgil
ResolvedNiharika
Resolved01tonythomas
DuplicateTinaj1234
ResolvedMooeypoo
Resolved yuvipanda
ResolvedNikerabbit
ResolvedNemo_bis
ResolvedDicortazar
ResolvedJdlrobson
Resolvedjayvdb
ResolvedNone
Resolvedjayvdb
ResolvedNone
Resolvedhappy5214
ResolvedAmire80
ResolvedAnkita-ks
ResolvedYaron_Koren
ResolvedAklapper
ResolvedDicortazar
ResolvedDicortazar
ResolvedAcs
ResolvedDicortazar
InvalidDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedQgil
OpenNone
ResolvedTgr
OpenTgr
ResolvedArielGlenn
Resolvedbd808
ResolvedNone
ResolvedDzahn
Resolvedbd808
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJAllemandou
ResolvedOttomata
Resolvedbd808
Resolvedbd808
OpenNone
OpenNone
Resolvedbd808
StalledEvanProdromou
OpenNone

Event Timeline

Qgil created this task.Jun 17 2015, 12:50 PM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2015, 12:50 PM
Qgil renamed this task from Engineering Community slides for Community Engagement quarterly review by June 30 to Engineering Community quarterly review (as part of the Community Engagement review).Jun 17 2015, 12:52 PM
Qgil updated the task description. (Show Details)
Qgil set Security to None.
Qgil moved this task from Backlog to Ready to Go on the ECT-June-2015 board.Jun 18 2015, 9:01 AM
Qgil raised the priority of this task from Normal to High.Jun 23 2015, 9:02 PM
Qgil added a comment.Jun 25 2015, 11:25 PM

First draft shared with team mates for review. @Aklapper and me still have some homework on metrics. After doing all the work, we are being hit by an unexpected problem of reliability of the data: T103292: Check whether it is true that we have lost 40% of (Git) code contributors in the past 12 months

Qgil moved this task from Ready to Go to Doing on the ECT-June-2015 board.Jun 27 2015, 6:53 PM

Updated metrics which include June were added to the slides.

Looking at the "Blocked By" list of this task, I don't think T103292: Check whether it is true that we have lost 40% of (Git) code contributors in the past 12 months can be fully solved before the review.
What we know by now is that these specific data is currently not fully reliable until T103984: Exclude certain repositories (upstream / inactive) from Gerrit metrics by blacklisting is solved as numbers also include and included upstream-only activity (Phabricator, HHVM, etc.).
Related (though not to the aspect of losing contributors), the list of projects is not automatically updated (see T103292#1429316).

Qgil added a comment.EditedJul 6 2015, 12:08 PM

OK, understood, and thank you. :)

For the quarterly review, we will get away withe the community and hackathon metrics available, then.

Qgil closed this task as Resolved.Jul 7 2015, 6:22 PM

Quarterly review done. It went well. :) I will link to the materials when they are posted (or maybe someone else can do it if it happens while I'm on vacation; otherwise it can wait).